Subject: bug#38818: Dired: mention deleting buffers, not just windows

From: Michael Heerdegen <[email-masked]>
Date: Wed, 01 Jan 2020 03:47:21 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> Anyway this all could be controlled by a new variable:

The default should be the current behavior, to avoid that users lose
marks by accident.  Also, there could be a prompt if there are any marks
in the buffer.

But... if the default is the same as now, you would not gain any advantage,
since you can already change the key binding without much effort.

I also don't see a discontinuity in the interface because unlike buffers
in view-mode, dired buffers can be edited, and killing them by accident
can be problematic, so it's per se ok for q not just to kill them.  But
I see the annoyance of tons of unneeded dired buffers lying around,
too.  Maybe asking for confirmation when a buffer has been edited by the
user would be a good idea.

Michael.